%global pname   osdteletext
%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$

Name:           vdr-%{pname}
Version:        0.9.3
Release:        1%{?dist}
Summary:        OSD teletext plugin for VDR

License:        GPLv2+
URL:            http://projects.vdr-developer.org/projects/show/plg-osdteletext
Source0:        http://projects.vdr-developer.org/attachments/download/912/%{name}-%{version}.tgz
Source1:        %{name}.conf

BuildRequires:  vdr-devel >= 1.6.0-41
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
The OSD teletext plugin displays teletext directly on VDR's on-screen
display, with sound and video from the current channel playing in the
background.


%prep
%setup -q -n %{pname}-%{version}
sed -i -e 's|/var/cache/vdr/vtx|%{vdr_cachedir}/osdteletext|g' \
    osdteletext.c README README.DE txtrecv.c


%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr all


%install

install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -pm 755 libvdr-%{pname}.so.%{vdr_apiversion} \
  $RPM_BUILD_ROOT%{vdr_plugindir}

install -dm 755 $RPM_BUILD_ROOT%{vdr_cachedir}/osdteletext

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d
sed -e 's|/var/cache/vdr/|%{vdr_cachedir}/|' < %{SOURCE1} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/osdteletext.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/*.conf

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%preun
if [ $1 -eq 0 ] ; then
  rm -rf %{vdr_cachedir}/osdteletext/*
fi


%files -f %{name}.lang
%doc COPYING HISTORY README*
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}
%attr(-,%{vdr_user},root) %{vdr_cachedir}/osdteletext/


%changelog
* Wed Apr  4 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.3-1
- Update to 0.9.3.

* Mon Mar 26 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.2-1
- Update to 0.9.2.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-8
- Apply upstream VDR 1.7.26+ patch.

* Tue Mar  6 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-7
- Apply Udo Richter's patch taking advantage of new VDR 1.7.25 features.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-6
- Rebuild.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-5
- Rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-3
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-2
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Sat Aug 20 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-1
- Update to 0.9.1.
- Use rpm >= 4.9's Provides filtering instead of the old Fedora way.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  6 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-1
- Update to 0.9.0.

* Sun Aug 29 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-5
- Make built in cache path match default configuration.

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-4
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-3
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-1
- Update to 0.8.3.

* Tue May 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.2-1
- Update to 0.8.2.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.8.1-1
- 0.8.1.
- Trim pre-Fedora %%changelog entries.

* Sun Dec 21 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.7.0-1
- 0.7.0.

* Sun Dec 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.6.0-1
- 0.6.0 (new community upstream), patches applied upstream.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-31
- Apply VDR 1.5+ patch from e-tobi.net Debian package.
- Build for VDR 1.6.0.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-30
- Rebuild.

* Wed Aug 22 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-29
- BuildRequires: gawk for extracting APIVERSION.

* Tue Aug  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-28
- License: GPLv2+

* Sun Jan  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-27
- Rebuild for VDR 1.4.5.

* Sun Nov 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-26
- First FE build.
